﻿using System;
using System.ServiceModel;

namespace CalculatorService
{
  public class SimpleCalculator : ISimpleCalculator
  {
    public int Add(int num1, int num2)
    {
      Console.WriteLine("Add: {0}, {1}", num1, num2);
      return num1 + num2;
    }

    public int Subtract(int num1, int num2)
    {
      Console.WriteLine("Subtract: {0}, {1}", num1, num2);
      return num1 - num2;
    }

    public int Multiply(int num1, int num2)
    {
      Console.WriteLine("Multiply: {0}, {1}", num1, num2);
      return num1 * num2;
    }

    public int Divide(int num1, int num2)
    {
      if (num2 == 0)
      {
        throw new FaultException(new FaultReason("Error during diving numbers"));
      }

      Console.WriteLine("Divide: {0}, {1}", num1, num2);
      return num1 / num2;
    }
  }
}