﻿using System.ServiceModel;

namespace EmployeeService
{
  [MessageContract]
  public class EmployeeDetails
  {
    [MessageHeader(Name = "Id")]
    public int EmployeeId;

    [MessageBodyMember(Name = "Name", Order = 6)]
    public string EmployeeName;

    [MessageBodyMember(Name = "Designation", Order = 2)]
    public string EmployeeDesignation;

    [MessageBodyMember(Name = "Salary", Order = 4)]
    public int EmployeeSalary;

    [MessageBodyMember(Name = "Location", Order = 8)]
    public string EmployeeLocation;
  }
}
