﻿using System;
using System.ServiceModel;

namespace EventService
{
  [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall)]
  public class Publisher : IContract
  {
    static Action _event = delegate { };

    public void SubscribeEvent()
    {
      IEvents subscriber = OperationContext.Current.GetCallbackChannel<IEvents>();
      _event += subscriber.Event;
    }

    private static void FireEvent()
    {
      _event();
    }

    public void DoSomethingAndFireEvent()
    {
      FireEvent();
    }
  }
}
