﻿using System.Collections.Generic;
using System.Linq;
using System.ServiceModel.Activation;

namespace RestfulService
{
  [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
  public class RestfulService : IRestfulService
  {
    public List<Employee> GetAllEmployeeDetails()
    {
      return EmployeeData.Instance.EmployeeList;
    }

    public Employee GetEmployee(int id)
    {
      return EmployeeData.Instance.EmployeeList.First(x => x.Id == id);
    }

    public void AddEmployee(Employee newEmp)
    {
      EmployeeData.Instance.Add(newEmp);
    }

    public void UpdateEmployee(Employee newEmp)
    {
      EmployeeData.Instance.Update(newEmp);
    }

    public void DeleteEmployee(int id)
    {
      EmployeeData.Instance.Delete(id);
    }
  }
}
