﻿using System.ServiceModel;
using CalculatorClient.CalculatorServiceReference;

namespace CalculatorClient
{
  class Program
  {
    static void Main(string[] args)
    {
      using (var proxy = new SimpleCalculatorClient())
      {
        proxy.Add(4, 7);
        proxy.Divide(9, 3);
        proxy.Multiply(2, 6);
        proxy.Subtract(8, 4);

        var task = proxy.AddAsync(4, 7);
        var result = task.Result;

        try
        {
          proxy.Divide(5, 0);
        }
        catch (FaultException e)
        {
          
        }
      }
    }
  }
}
