﻿using System.ServiceModel;

namespace CallbackService
{
  [ServiceBehavior(ConcurrencyMode = ConcurrencyMode.Multiple)]
  public class Contract : IContract
  {
    public void ContractMethod()
    {
      IContractCallback callbackInstance = OperationContext.Current.GetCallbackChannel<IContractCallback>();
      callbackInstance.OnCallback();
    }
  }
}
