﻿using System.ServiceModel;
using System.Threading.Tasks;
using CallbackServiceClient.CallbackServiceReference;

namespace CallbackServiceClient
{
  internal sealed class CallbackClient : DuplexClientBase<IContract>, IContract
  {
    public CallbackClient(InstanceContext callbackContext)
      : base(callbackContext)
    {
    }

    public void ContractMethod()
    {
      Channel.ContractMethod();
    }

    public Task ContractMethodAsync()
    {
      return Channel.ContractMethodAsync();
    }
  }
}
