﻿using System.ServiceModel;
using System.Threading.Tasks;
using EventServiceClient.EventServiceReference;

namespace EventServiceClient
{
  internal sealed class EventServiceClients : DuplexClientBase<IContract>, IContract
  {
    public EventServiceClients(InstanceContext eventContext)
      : base(eventContext)
    {
    }

    public void DoSomethingAndFireEvent()
    {
      Channel.DoSomethingAndFireEvent();
    }

    public Task DoSomethingAndFireEventAsync()
    {
      return Channel.DoSomethingAndFireEventAsync();
    }

    public void SubscribeEvent()
    {
      Channel.SubscribeEvent();
    }

    public Task SubscribeEventAsync()
    {
      return Channel.SubscribeEventAsync();
    }
  }
}
