﻿using System;
using System.Globalization;
using System.ServiceModel;
using EventServiceClient.EventServiceReference;

namespace EventServiceClient
{
  class Program
  {
    static void Main(string[] args)
    {
      IContractCallback subscriber = new Subscriber();
      InstanceContext context = new InstanceContext(subscriber);

      EventServiceClients proxy = new EventServiceClients(context);
      Console.WriteLine("Client subscribe the event from the service at {0}", DateTime.Now.ToString(CultureInfo.InvariantCulture));
      proxy.SubscribeEvent();
      Console.WriteLine("Client call operation which will fire the event");
      proxy.DoSomethingAndFireEvent();
      Console.ReadLine();
    }
  }
}
