﻿using System;
using System.ServiceModel;
using System.ServiceModel.Description;
using System.ServiceModel.Web;
using AuthorizationService;
using CallbackService;
using EventService;

namespace WcfServer
{
  class Program
  {
    static void Main(string[] args)
    {
      //StartService<CalculatorService.SimpleCalculator>();
      //StartService<CounterService.CounterService>();
      //StartService<EmployeeService.EmployeeService>();
      //StartService<Contract>();
      //StartService<Publisher>();
      //StartWebservice<RestfulService.RestfulService>();
      //StartService<Service>();
    }

    private static void StartService<TService>()
    {
      var serviceType = typeof(TService);
      var uri = new Uri("http://localhost/CoolService/");
      ServiceHost host = new ServiceHost(serviceType, uri);

      host.Open();
      Console.WriteLine("Host is running...Press enter key to stop the service.");
      Console.ReadLine();
      host.Close();
    }

    private static void StartWebservice<TWebService>()
    {
      var serviceType = typeof(TWebService);
      var uri = new Uri("http://localhost/CoolService/");
      WebServiceHost host = new WebServiceHost(serviceType, uri);
      host.Open();
      
      foreach (ServiceEndpoint se in host.Description.Endpoints)
      {
        Console.WriteLine("Service is host with endpoint " + se.Address);
      }

      Console.WriteLine("Host is running...Press enter key to stop the service.");
      Console.ReadLine();
    }
  }
}
